import { UseFetchInfiniteScrollProps } from './types/types';

declare const useFetchInfiniteScroll: <TData>({ endpoint, limit, sortOrder, filters, idKey, fetchOptions, }: UseFetchInfiniteScrollProps) => {
    data: TData[];
    loading: boolean;
    hasMore: boolean;
    lastItemRef: (node: HTMLElement | null) => void;
};
export default useFetchInfiniteScroll;
