export interface UseFetchInfiniteScrollProps {
    endpoint: string;
    limit: number;
    sortOrder?: 'asc' | 'desc';
    filters?: Record<string, any>;
    idKey?: string;
    dataKey?: string;
    fetchOptions?: RequestInit;
    [key: string]: any;
}
export interface PaginationResult<T> {
    data: T[];
    hasNextPage: boolean;
}
